import { IEditorDictionary } from "../Data/Interfaces.js";
import GroupModel from "./GroupModel.js";
import FeatureModel from "./FeatureModel.js";
import { default as EditorModel } from "./EditorModel.js";
export interface IFeatureModelDictionary {
    [key: string]: IEditorModelDictionary;
}
export interface IEditorModelDictionary {
    [key: string]: Array<EditorModel>;
}
export default class EditorCollection {
    private m_data;
    private m_source;
    constructor(data: IEditorDictionary);
    private get data();
    private get source();
    getEditorsByFeature(feature: FeatureModel): Array<EditorModel>;
    getEditorsByGroup(group: GroupModel): Array<EditorModel>;
    toJSON(): IEditorDictionary;
    loadEditors(targetFeature: FeatureModel): void;
    private sortEditors;
}
